#!/bin/bash
set -eu

mondomaine=domaine.lan
apt-get install -y  bind9 bind9-doc bind9-host 
curl -fsSL https://goss.rocks/install |sh
wget -nc https://gitea.lyc-lecastel.fr/gadmin/vagrant/raw/branch/main/divers/bind/mkzone
bash mkzone "${mondomaine}"
cp db.${mondomaine}* /etc/bind
cp named.conf.local  /etc/bind
sudo named-checkconf /etc/bind/named.conf
sudo named-checkzone "${mondomaine}" "/etc/bind/db.${mondomaine}"
sudo systemctl restart bind9
host srv1
host srv2
host -t soa "${mondomaine}"
host -l "${mondomaine}"
goss add command "host ${mondomaine}"
goss add command "host -t soa ${mondomaine}"
goss add command "host -t ns ${mondomaine}"
goss add command "host srv1.${mondomaine}"
goss add command "host srv1"
goss add command "host www"
goss add command "host srv2.${mondomaine}"
goss add command "host srv2"
goss add command "host 192.168.56.10"
goss add command "host 192.168.56.11"
goss v -f tap
